# module

abstract fun module(moduleNotation: Any, rule: Action<in ComponentModuleMetadataDetails>)

Enables configuring component module metadata. This metadata applies to the entire component module (e.g. "group:name", like "org.gradle:gradle-core") regardless of the component version.

    //declaring that google collections are replaced by guava
    //so that conflict resolution can take advantage of this information:
    dependencies.modules.module('com.google.collections:google-collections') { replacedBy('com.google.guava:guava') }

Content copied to clipboard

#### Since

2.2

#### Parameters

moduleNotation

an identifier of the module. String "group:name", e.g. 'org.gradle:gradle-core' or an instance of org.gradle.api.artifacts.ModuleIdentifier

rule

a rule that applies to the components of the specified module